> For the complete documentation index, see [llms.txt](https://paas.docs.machnetinc.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://paas.docs.machnetinc.com/api-references/transaction-wallet/get-wallet-transfer-details.md).

# Get Wallet Transfer Details

### Get a particular wallet transfer's details

You can fetch detailed information about a particular wallet transfer using the transfer ID. This will also include “status” which provides information on the transfer status.&#x20;

#### **`GET /users/{{userId}}/funds/{{wallet_id}}/transfers/{{transfer_id}}`**

{% tabs %}
{% tab title="Request Sample" %}

```
curl --location -g --request GET '{{url}}/users/{{userId}}/funds/{{wallet_id}}/transfers/{{transfer_id}}' \
--header 'X-Client-Id: {{client_id}}' \
--header 'X-Client-Secret:{{client_secret}}'
```

{% endtab %}

{% tab title="Response Sample" %}

```
{
    "amount": 10.00,
    "currency": "USD",
    "fee_amount": 0.00,
    "from_fund_id": UUID,
    "id": UUID,
    "ip_address": "10.10.10.5",
    "note": "Sample Note",
    "status": "PROCESSED",
    "to": {
        "fund_id": UUID,
        "id": UUID
    },
    "type": "TRANSFER",
    "user_id": UUID
}
```

{% endtab %}
{% endtabs %}

### Get list of all wallet transfers

This API provides a list of all transfers loaded, unloaded and transferred from/to the wallet.

#### **`GET /users/{{userId}}/funds/{{wallet_id}}/transfers`**

{% tabs %}
{% tab title="Request Sample" %}

```
curl --location -g --request GET ‘{{url}}/users/{{userId}}/funds/{{wallet_id}}/transfers' \
--header 'X-Client-Id: {{client_id}}' \
--header 'X-Client-Secret:{{client_secret}} ' 
```

{% endtab %}

{% tab title="Response Sample" %}

```
{
    "paging": {
        "page": 1,
        "page_size": 20,
        "total_count": 3
    },
    "results": [
        {
            "amount": 10.00,
            "currency": "USD",
            "fee_amount": 0.00,
            "from_fund_id": UUID,
            "id": UUID,
            "ip_address": "10.10.10.5",
            "note": "Sample Note",
            "status": "PROCESSED",
            "to": {
                "fund_id": UUID,
                "id": UUID
            },
            "type": "TRANSFER",
            "user_id": UUID
        },
        {
            "amount": 10.00,
            "currency": "USD",
            "fee_amount": 0.00,
            "from_fund_id": UUID,
            "id": UUID,
            "ip_address": "10.10.10.5",
            "note": "Sample Note",
            "status": "PROCESSED",
            "to": {
                "fund_id": UUID,
                "id": UUID
            },
            "type": "TRANSFER",
            "user_id": UUID
        },
        {
            "amount": 50.00,
            "currency": "USD",
            "fee_amount": 0.00,
            "from_fund_id": UUID,
            "id": UUID,
            "ip_address": "10.10.10.5",
            "note": "Sample Note",
            "status": "PROCESSED",
            "to": {
                "fund_id": UUID,
                "id": UUID
            },
            "type": "LOAD",
            "user_id": UUID
        }
    ]
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://paas.docs.machnetinc.com/api-references/transaction-wallet/get-wallet-transfer-details.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
